For the complete documentation index, see llms.txt. This page is also available as Markdown.

Chunk

OpenAPI V1

Upload (large) file.

post

Upload a (large) file to the platform.

Authorizations
AuthorizationstringRequired

Please enter token

Header parameters
x-api-versionstringRequired
ApplicationNameanyOptional

Name of the application to integrates with API’s to Semansys.Next.

PartnerNameanyOptional

Contract owner (organization) name that have embedded the API’s.

PartnerIDanyOptional

Business Identification Number (BIN) of the contract owner (organization) to embeds the API’s.

CustomerNameanyOptional

Customer (organization) name (ie. accounting firm, intermediary, ....).

CustomerIDanyOptional

Business Identification Number (BIN) of the customer.

ClientNameanyOptional

Client (organization) name of the customer of the accounting firm, intermediary...

ClientIDanyOptional

Business Identification Number (BIN) of the client.

Body
datastring · byte · nullableOptionalExample: PD94bWwgdmVyc2lvbj0...
fileNameNoPathstring · nullableOptionalExample: My file.xbrl
offsetinteger · int64Optional
firstChunkbooleanOptional
sizeinteger · int64Optional
Responses
200

OK

stringOptional
post/customer-corner/file/chunk
POST /customer-corner/file/chunk HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-version: text
Content-Type: application/json
Accept: */*
Content-Length: 103

{
  "data": "PD94bWwgdmVyc2lvbj0...",
  "fileNameNoPath": "My file.xbrl",
  "offset": 1,
  "firstChunk": true,
  "size": 1
}
http://www.nltaxonomie.nl/nt18/kvk/20231213/entrypoints/kvk-rpt-jaarverantwoording-2023-nlgaap-micro.xsd

Was this helpful?